#ifndef __THTMLFILEWRITER_H__
#define __THTMLFILEWRITER_H__

#include "TFileWriter.h"
#include "TFormattedOutput.h"



class THtmlFileWriter : public TFileWriter
{
  public:
    THtmlFileWriter (ostream *file, bool inKBytes,
                     char fileMarker, TFormattedOutput & format);

    virtual void write (const TFileEntry & entry, bool isNew);

  private:
    bool fInKBytes;
//    bool fNoSize;
//    bool fNoDate;
//    bool fNoNewfileMarker;
    char fFileMarker;
    TFormattedOutput *fFormat;
};



#endif

