#include "TAreaListEntry.h"



TAreaListEntry::TAreaListEntry (const string & name, long ofs, const TAreaSort & sort)
: fName (name), fOffset (ofs), fSortInfo (sort), fHandled (false)
{
}



TAreaListEntry::TAreaListEntry (const TAreaListEntry & clone)
: fName (clone.fName), fOffset (clone.fOffset), fSortInfo (clone.fSortInfo), fHandled (clone.fHandled)
{
}



TAreaListEntry & TAreaListEntry::operator = (const TAreaListEntry & right)
{
  if (&right != this)
  {
    fName = right.fName;
    fOffset = right.fOffset;
    fSortInfo = right.fSortInfo;
    fHandled = right.fHandled;
  }

  return *this;
}

