#ifndef __THTMLAREAWRITER_H__
#define __THTMLAREAWRITER_H__

#include <string>
#include <fstream>
#include "TFormattedOutput.h"



class THtmlAreaWriter
{
  public:
    THtmlAreaWriter () {}
    THtmlAreaWriter (const string & path, const string & division,
                     const string & desc, TFormattedOutput & format);
    ~THtmlAreaWriter ();

    const string & division () const { return fDivision; }

    bool open (unsigned long count, unsigned long size);
    void writeEntry (const string & name, const string & link, const string & desc,
                     unsigned long count, unsigned long size);

  private:
    ofstream fOut;
    string   fDivision;
    TFormattedOutput *fFormat;
};



#endif

