#ifndef __TMAXSEVERITYL_H__
#define __TMAXSEVERITYL_H__

#include <string>
#include <map>



class TMaxSeverity
{
  public:
    static void init (const string & maximusPath);
    static unsigned short ascii2severity (const string & in);
    static string severity2ascii (unsigned short level);

  private:
    typedef map<unsigned short, string, greater<unsigned short> > severityValueMap;
    typedef map<string, unsigned short, greater<string> > severityStringMap;

    static severityValueMap  fValues;
    static severityStringMap fStrings;
};


#endif

