#ifndef __TTEXTFILEWRITER_H__
#define __TTEXTFILEWRITER_H__

#include "TFileWriter.h"

// forward reference
class TFormattedOutput;



class TTextFileWriter : public TFileWriter
{
  public:
    TTextFileWriter (ostream *file, bool inKBytes,
                     char fileMarker, int wordBreak,
//                     int addIndent,
                     TFormattedOutput & format);

    virtual void write (const TFileEntry & entry, bool isNew);

  private:
    void breakDescription (const string & str);


    bool fInKBytes;
    char fFileMarker;
    int  fWordBreak;
//    int  fAddIndent;
//    int  fStart;
    TFormattedOutput *fFormat;
};



#endif

